Subject: Re: [lemonade] Revisions to the Requirements document

From: Randall Gellens <[email-masked]>
Date: Wed, 4 Jun 2003 16:06:15 -0700

At 7:38 AM -0500 6/3/03, Greg M (Greg) Vaudreuil wrote:

>  - The current requirements document reflects the "unified 
> messaging" theme. The latest charter has refocused on diverse 
> endpoints, with an emphasis on mobile clients. Do we drop 
> references to UM in the requirements as part of a refocus on 
> something more akin to an Internet mail based MM1 interface 
> alternative?

It makes sense to make the requirements document match the charter.

>  - There are several work-efforts on re-injecting M-IMAP into the 
> 3GPP2 MMS standards. Should we work to make an explicit effort to 
> stick lemonade protocols in that space instead? I imagine an effort 
> like the FAX WG where the IETF process is accelerated by the needs 
> for liaison with an organization with a live heartbeat.

3GPP2 recently approved M-IMAP as an MM1 protocol.  I see lemonade as 
being especially useful in defining future 
extensions/optimizations/etc for IMAP that would provide the 
bandwidth efficiency of M-IMAP but remain interoperable with IMAP. 
This would permit both IMAP and M-IMAP implementations to migrate to 
an interoperable new IMAP revision and gain new features (such as 
forward without download, streaming, etc.) as well as bandwidth 
gains.  In other words, I see lemonade as attempt to define the 
future (hopefully a short-term future).

>  - Do we need the existing level of "tutorial" in the document? I am 
> tempted to mark large sections for deletion rather than update to 
> sing with the newly focused charter..

I suspect we don't need tutorial material in the requirements document.

-- 
--
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly-selected tag: ---------------
All science is either physics or stamp collecting.
        --E. Rutherford
_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade

---

From: "Vaudreuil, Greg M (Greg)" <[email-masked]>
Date: Thu, 5 Jun 2003 07:27:24 -0500

Great!  Can you send text and suggested changes?  i will edit into the document.

Greg V.

-----Original Message-----
From: Milt Roselinsky [mailto:[email-masked]]
Sent: Wednesday, June 04, 2003 11:14 AM
To: Vaudreuil, Greg M (Greg); [email-masked]
Subject: RE: [lemonade] Revisions to the Requirements document

Hi Greg,

It was my understanding that the LEMONADE requirements document
would be updated as a result of discussions on Openwave's presentation
and I-D.  I'd be happy to help with that.

Comments below.

Best regards,
Milt

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf
> Of Vaudreuil, Greg M (Greg)
> Sent: Tuesday, June 03, 2003 5:38 AM
> To: [email-masked]
> Subject: [lemonade] Revisions to the Requirements document
> 
> 
> I am working to update the lemonade requirements document.  As I 
> started to review these requirements, I have a few high-level 
> questions / suggestions I'd appreciate some feedback on.
> something more akin to an Internet mail based MM1 interface alternative? 

I support breaking the requirements into more focused documents.

> stick lemonade protocols in that space instead? I imagine an 
> effort like the FAX WG where the IETF process is accelerated by 
> the needs for liaison with an organization with a live heartbeat. 

I'm puzzled by this statement.  As discussed in San Francisco, the
M-IMAP effort in 3GPP2 has resulted in an approved MM1 specification.
While 3GPP2 tsgx-mms may move forward with future versions of that spec, 
the current round of drafting and review on M-IMAP is completed.

> - Do we need the existing level of "tutorial" in the document? I 
> am tempted to mark large sections for deletion rather than update 
> to sing with the newly focused charter.. 
> Comments? 
> Greg V.
>